Opened 6 years ago

Closed 5 years ago

#1140 closed (fixed)

oess geni_status remains in "configuring" state even after circuits are ready

Reported by: lnevers@bbn.com Owned by: luke@grnoc.iu.edu
Priority: critical Milestone:
Component: STITCHING Version: SPIRAL6
Keywords: oess Cc: matt@internet2.edu, eboyd@internet2.edu
Dependencies:

Description

The geni_status information for a OESS sliverstatus does not reflect the correct state. Once the VLAN is active and the sliver is ready for use, the geni_status should be "ready".

Following is the sliverstatus for a sliver that has been actively exchanging traffic for over 20 hours:

$ omni.py sliverstatus -a oess atla-2-ny-nobkup
12:15:28 INFO     omni: Loading agg_nick_cache file '/home/lnevers/.gcf/agg_nick_cache'
12:15:28 INFO     omni: Loading config file /home/lnevers/.gcf/omni_config
12:15:28 INFO     omni: Using control framework portal
12:15:28 INFO     omni: Substituting AM nickname oess with URL https://foam-oess-stage.grnoc.iu.edu:3626/foam/gapi/2, URN unspecified_AM_URN
12:15:29 INFO     omni: Slice urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup expires on 2013-10-16 00:00:00 UTC
12:15:29 INFO     omni: Status of Slice urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup:
12:15:29 INFO     omni: Slice urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup at AM https://foam-oess-stage.grnoc.iu.edu:3626/foam/gapi/2 has overall SliverStatus: configuring
12:15:29 INFO     omni: Sliver status for Slice urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup at AM URL https://foam-oess-stage.grnoc.iu.edu:3626/foam/gapi/2
12:15:29 INFO     omni: {
  "geni_status": "configuring", 
  "geni_urn": "urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup:aca2e2ab-40c3-4fe7-aa5d-cb275ac29bdf", 
  "foam_pend_reason": [], 
  "foam_expires": "2013-10-13 00:00:00+00:00", 
  "geni_resources": [
    {
      "geni_urn": "urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup:aca2e2ab-40c3-4fe7-aa5d-cb275ac29bdf", 
      "geni_error": "", 
      "geni_status": "configuring"
    }
  ], 
  "foam_status": "approved"
}
12:15:29 INFO     omni:  ------------------------------------------------------------
12:15:29 INFO     omni:  Completed sliverstatus:
Args: sliverstatus atla-2-ny-nobkup

  Result Summary: Slice urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup expires on 2013-10-16 00:00:00 UTC
Slice urn:publicid:IDN+ch.geni.net:ln-prj+slice+atla-2-ny-nobkup at AM https://foam-oess-stage.grnoc.iu.edu:3626/foam/gapi/2 has overall SliverStatus: configuring.
 Returned status of slivers on 1 of 1 possible aggregates. 
12:15:29 INFO     omni:  ============================================================

Change History (4)

comment:1 Changed 5 years ago by lnevers@bbn.com

Issue status is unchanged, Sliver still reports "configuring" when "ready".

comment:2 Changed 5 years ago by lnevers@bbn.com

Priority: majorcritical

Aggregate still reports "configuring when "ready" or when "failed".

This issue is critical for production release production.

comment:3 Changed 5 years ago by luke@grnoc.iu.edu

This should be resolved now in version 0000000010214+oess+stitching

foam-oess-stage:~# omni.py -a oess-local sliverstatus oessnew 16:33:22 INFO omni: Loading agg_nick_cache file '/root/.gcf/agg_nick_cache' 16:33:22 INFO omni: Loading config file /root/.gcf/omni_config 16:33:22 INFO omni: Using control framework portal 16:33:22 INFO omni: Substituting AM nickname oess-local with URL https://127.0.0.1:3626/foam/gapi/2, URN urn:publicid:IDN+oess:nddi:foam-oess-local+authority+am 16:33:23 INFO omni: Slice urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew expires on 2014-09-30 23:59:59 UTC 16:33:23 INFO omni: Status of Slice urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew: 16:33:23 INFO omni: Slice urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew at AM https://127.0.0.1:3626/foam/gapi/2 has overall SliverStatus: ready 16:33:23 INFO omni: Sliver status for Slice urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew at AM URL https://127.0.0.1:3626/foam/gapi/2 16:33:23 INFO omni: {

"geni_status": "ready", "geni_urn": "urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew:133bf862-0fb2-4c41-8991-db54b8a382ec", "foam_pend_reason": [], "foam_expires": "2014-09-30 23:59:59+00:00", "geni_resources": [

{

"geni_urn": "urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew:133bf862-0fb2-4c41-8991-db54b8a382ec", "geni_error": "", "geni_status": "ready"

}

], "foam_status": "approved"

} 16:33:23 INFO omni: ------------------------------------------------------------ 16:33:23 INFO omni: Completed sliverstatus: Args: sliverstatus oessnew

Result Summary: Slice urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew expires on 2014-09-30 23:59:59 UTC

Slice urn:publicid:IDN+ch.geni.net:internet2test2+slice+oessnew at AM https://127.0.0.1:3626/foam/gapi/2 has overall SliverStatus: ready.

Returned status of slivers on 1 of 1 possible aggregates.

16:33:23 INFO omni: ============================================================

comment:4 Changed 5 years ago by lnevers@bbn.com

Resolution: fixed
Status: newclosed

Problem resolution has been verified using foam_version 0000000010214+oess+stitching

$ omni sliverstatus -a oess ig-chic-ig-gpo
13:36:27 INFO    : Loading agg_nick_cache file '/home/lnevers/.gcf/agg_nick_cache'
13:36:27 INFO    : Loading config file /home/lnevers/.gcf/omni_config
13:36:27 INFO    : Setting option useSliceMembers based on omni_config setting
13:36:27 INFO    : Using control framework portal
13:36:27 INFO    : Member Authority is https://ch.geni.net/MA (from config)
13:36:27 INFO    : Slice Authority is https://ch.geni.net/SA (from config)
13:36:27 INFO    : Substituting AM nickname oess with URL https://foam-oess-stage.grnoc.iu.edu:3626/foam/gapi/2, URN unspecified_AM_URN
13:36:28 INFO    : Slice urn:publicid:IDN+ch.geni.net:ln-test+slice+ig-chic-ig-gpo expires on 2014-09-18 17:33:32 UTC
13:36:28 INFO    : Status of Slice urn:publicid:IDN+ch.geni.net:ln-test+slice+ig-chic-ig-gpo:
13:36:28 INFO    : Slice ig-chic-ig-gpo at AM oess has overall SliverStatus: ready
13:36:28 INFO    : Resources in slice ig-chic-ig-gpo at AM oess expire at 2014-09-18T17:33:32 UTC
13:36:28 INFO    : Sliver status for Slice urn:publicid:IDN+ch.geni.net:ln-test+slice+ig-chic-ig-gpo at AM oess
13:36:28 INFO    : {
  "geni_status": "ready", 
  "geni_urn": "urn:publicid:IDN+ch.geni.net:ln-test+slice+ig-chic-ig-gpo:b8e51c9a-5213-445f-81ff-d838cf8225c9", 
  "foam_pend_reason": [], 
  "foam_expires": "2014-09-18 17:33:32+00:00", 
  "geni_resources": [
    {
      "geni_urn": "urn:publicid:IDN+ch.geni.net:ln-test+slice+ig-chic-ig-gpo:b8e51c9a-5213-445f-81ff-d838cf8225c9", 
      "geni_error": "", 
      "geni_status": "ready"
    }
  ], 
  "foam_status": "approved"
}
13:36:28 INFO    :  ------------------------------------------------------
13:36:28 INFO    :  Completed sliverstatus:

  Options as run:
		aggregate: ['oess']
		framework: portal
		project: ln-test
		useSliceMembers: True

  Args: sliverstatus ig-chic-ig-gpo

  Result Summary: Slice urn:publicid:IDN+ch.geni.net:ln-test+slice+ig-chic-ig-gpo expires on 2014-09-18 17:33:32 UTC
Slice ig-chic-ig-gpo at AM oess has overall SliverStatus: ready.
 Resources in slice ig-chic-ig-gpo at AM oess expire at 2014-09-18T17:33:32 UTC.
 Returned status of slivers on 1 of 1 possible aggregates. 
13:36:28 INFO    :  ======================================================
Note: See TracTickets for help on using tickets.